"""Miscellaneous functions commonly used by all classes."""

def nibble_flip(num: int) -> int:
    """Swaps the high and low nibbles in a byte. (Ex: 0x1a -> 0xa1)"""
    return (num >> 4) | (num << 4) & 0xFF
